Support » Plugin: EU VAT for WooCommerce » Deprecated since version 4.0.0 – Use WC_Countries::get_vat_countries

  • Resolved Cebbi

    (@cebbi)


    Hi, I noticed the following error/notice in the admin settings (General):

    Deprecated: type was called with an argument that is deprecated since version 4.0.0! Use the WC_Countries::get_vat_countries method instead. in [...]\wp-includes\functions.php on line 4997

    This results in an erroneous list of countries shown as a hint for the Show field for selected countries only setting.

    This is caused by the call WC()->countries->get_european_union_countries( '...' ) in line 198 of the file class-alg-wc-eu-vat-settings-general.php and can be solved by simply removing the string argument. Perhaps a version check would be sensible.

    Could you update the plugin to include this fix?

    Thanks in advance and have a nice weekend!

    • This topic was modified 1 month, 3 weeks ago by Cebbi.
Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Omar AlDabbas

    (@omardabbas)

    Hello @cebbi

    Very sorry for missing this, and thanks a lot for the update on this matter.

    I will try to get this done asap and release a new version.

    Omar

    Cebbi

    (@cebbi)

    Thanks 👍

    Plugin Author Omar AlDabbas

    (@omardabbas)

    Hello @cebbi

    I’ve just released a new version for the plugin and it includes a fix for this issue.

    Please test and let me know if you still see the message.

    Omar

    Cebbi

    (@cebbi)

    The error notice is gone 🙂

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.